#!/bin/bash

# rm -f -------------------------------------- f for forcing delete without warning or error if file unfound
# sort -uf ----------------------------------- u for unique. f for ignore case
# grep -oE ----------------------------------- o for only print matches. E for support for extended regex
# tr ----------------------------------------- here converts all uppercase to lowercase
# sed 's/oldstring/replacedstring/g' --------- replaces string globally
# sort --------------------------------------- sorts alphabetically
# uniq -c ------------------------------------ displays number of counts of unique items

rm -f temp1
rm -f temp2
grep -oE '\w+' $1 | sort -f > temp1
tr '[:upper:]' '[:lower:]' < temp1 > temp2
sed 's/\(.*\)/\1/g' temp2 | sort | uniq -c
rm -f temp1
rm -f temp2
